LINUX.ORG.RU

Debian прекращает поддержку процессоров старше Pentium Pro, начиная со «Stretch»

 , ,


2

1

Одновременно с выпуском пятой альфа-версии установщика дистрибутива Debian «Stretch» 9 проект Debian сообщает о завершении поддержки процессоров, выпущенных ранее Pentium Pro (1995 год).

Изменения на данный момент заключаются в том, что libc6 для архитектуры x86 будет предоставляться пакетом libc6-686, GCC переходит на сборку с архитектурой 686 по умолчанию, и ядро linux-image-586 заменено на linux-image-686.

Изменения коснутся только 9-й и последующих веток, поддержка 586 в Debian «Jessie» 8 сохранена в полном объёме.

Основными причинами данного решения называют необходимость проверки перед использованием оптимизаций или содержания разных версий одного пакета, постепенное прекращение пре-686 ядер разработчиками прикладного ПО и необходимость ручной установки пакетов с оптимизациями.

>>> OpenNet

>>> Подробности

Ну вот и правильно. Пора бы уже.

DeadEye ★★★★★ ()

Ничего хорошего. У многих до сих пор используется недопроцессор Atom N270, который недотягивает даже до стандарта i686.

rjm ()

Интересно, какой вообще может быть практический смысл в установке совремённой ОС на машину с процессором более, чем 20-летней давности?

anonymous_incognito ★★★★★ ()

Разумный шаг. Немногий от разработчиков Debian.

a1batross ★★★★★ ()
Ответ на: комментарий от rjm

У многих до сих пор используется недопроцессор Atom N270, который недотягивает даже до стандарта i686.

На нём не работают i686-е инструкции?

anonymous_incognito ★★★★★ ()
Ответ на: комментарий от rjm

Пусть ставят Slackware (насколько я помню, оно умеет в i486).

DeadEye ★★★★★ ()

и на ядро linux-image-586 заменено на linux-image-686.

«и» тут лишнее наверное.

curufinwe ★★★ ()

Какой дурацкий заголовок. Писали бы уже «более старых, чем Pentium Pro» или «моделей процессоров, предшествующих Pentium Pro».

tailgunner ★★★★★ ()
Ответ на: комментарий от rjm

И кто, как не debian, будет им лучшим намеком на правильность этого выбора?

t184256 ★★★★★ ()

Сейчас такой вой поднимется! Уверен, что похлеще, чем про дроп поддержки 32-битной архитектуры, держись пагни!

kep ()
Ответ на: комментарий от rjm

flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc arch_perfmon pebs bts pni monitor ds_cpl est tm2 ssse3 xtpr lahf_lm

Чего до i686 не хватает?

CYB3R ★★★★★ ()
Ответ на: комментарий от rjm

На нем нормально 686 работает, другое дело что мощностей таких нетбуков для современных задач не хватает (у самого такой).

alozovskoy ★★★★★ ()
Ответ на: комментарий от tailgunner

Какой дурацкий заголовок. Писали бы уже «более старых, чем Pentium Pro» или «моделей процессоров, предшествующих Pentium Pro».

маркетологи переводили;)

в оригинале правильно написали - «прекратить поддержку i386 процессоров, более старых, чем 686й класс»

azazello ★★★ ()
Ответ на: комментарий от anonymous_incognito

Всё там работает, товарищ просто ерунду какую-то спорол. Выкидывание поддержки древних процов на этот Атом не повлияет никак.

anonymous ()
Ответ на: комментарий от azazello

в оригинале правильно написали - «прекратить поддержку i386 процессоров, более старых, чем 686й класс»

Сходил по ссылке - оказывается, Debian не поддерживает Xeon Phi, как же так!!11 Хотя дальше по треду сказано «As of Knights Landing, it is based on Airmont Atom cores which indeed support x86_64» - наверное, всё же поддерживает.

tailgunner ★★★★★ ()
Последнее исправление: tailgunner (всего исправлений: 1)

Лучше бы выкинули поддержку старше Pentium 4

int13h ★★★★★ ()

Время пришло в гости отправится, ждёт тебя старинный друг....мусоровоз...всё устаревает...пущай выкидывают

oblepiha_pie ()

Всё правильно сделали, давно пора.

386 в 2016 году нужен только для skype/wine/flash, которые на таком хламе один фуншуй не работают.

anonymous ()

Кто мне сможет объяснить, чего ради поддерживать в ОС железо, на котором она заведомо не сможет быть юзабельной в виду ограниченности аппаратных ресурсов (ну не поверю я, что дебиан, если из него не повыкидывать все будет нормально работать на компе с менее чем 16 мб оперативки)

RiseOfDeath ★★★ ()
Последнее исправление: RiseOfDeath (всего исправлений: 2)
Ответ на: комментарий от tailgunner

А кто их вообще поддерживает?

anonymous ()
Ответ на: комментарий от DeadEye

И Gentoo вроде пока поддерживает. Другое дело, что компилять на таком процессоре — то ещё удовольствие.

Dmitry_Sokolowsky ★★★★★ ()

Даже в штабе некрофилов уже начали понимать. Но я уверен, здесь будет достаточно порвавшихся.

anonymous ()
Ответ на: комментарий от anonymous

Речь про 386, а не вообще всё 32-битное.

anonymous ()

заменено на

Запомни, бестолочь, прогуливающая уроки культуры речи в школе!

заменить что-то чем-то
поменять что-то на что-то

anonymous ()

Неплохо. А когда ждать прекращения поддержки всех остальных процессоров?

Lavos ★★★★★ ()

Зачем до сих пор нужна поддержка процессоров ниже «Пентиума Про»? В промышленности в ходу одноплатные компьютеры, которые работают круглосуточно без обслуживания. Производительность здесь не всегда нужна, важнее надёжность работы без человеческого обслуживания (типовая потребность промышленности - отсутствие вентиляторов на процессоре). Как выглядят эти промышленные вычислительные устройства сегодняшнего дня? Например, так. Теперь вся надежда на «Генту», что оставят поддержку 80486-х процессоров.

Enthusiast ()
Ответ на: комментарий от anonymous_incognito

K6-3+ только в конце 2000 с производства сняли. Хотя ставить всё равно бестолку.

Myau ★★★ ()
Ответ на: комментарий от Lavos

Думаю, в случае с Debian, ещё лет 15-20 минимум, пока не загнётся.

BIGWELLD ()
Ответ на: комментарий от Enthusiast

В промышленности в ходу одноплатные компьютеры, которые работают круглосуточно без обслуживания.

Так пусть промышленность возьмёт на фуллтайм несколько разработчиков дебиана, если правда надо.

aidaho ★★★★★ ()
Ответ на: комментарий от Enthusiast

В промышленности в ходу одноплатные компьютеры, которые работают круглосуточно без обслуживания.

Ну так ставь на них Debian 8 и пусть они работают круглосуточно без обслуживания сколько влезет.

Polugnom ★★★★★ ()
Ответ на: комментарий от Polugnom

В таком случае, написав программу на компьютере под современной версией «Дебиана» и попытавшись перебрать её под одноплатник, можно столкнуться с ошибками сборки исходников из-за древнего компилятора.

Enthusiast ()
Ответ на: комментарий от alozovskoy

Вот только на что его менять? Я свой, в масле покупал за 6000. Сейчас ниже 20к и купить то нечего.

zloelamo ★★★ ()
Ответ на: комментарий от zloelamo

Да, я свой за 8 брал, вообще «большой» комп тогда не включал - и курсяки писал на нем, и ониму смотрел, и в интернеты ходил... Тогда 6 Debian стоял с второгномом, и все летало. А сейчас лажа какая-то, да что-то времени нет все отладить. Да, опять же, современные интернеты он уже с трудом потянет...

Сейчас ниже 20к и купить то нечего.

Ну, так как выбора нет, пришлось таки «обновиться».

alozovskoy ★★★★★ ()
Ответ на: комментарий от Enthusiast

В таком случае, написав программу на компьютере под современной версией «Дебиана» и попытавшись перебрать её под одноплатник, можно столкнуться с ошибками сборки исходников из-за древнего компилятора.

Кросскомпиляция поможет. Для arm одноплатников же как-то пишут, проблем нет. И тут не будет.

curufinwe ★★★ ()
Ответ на: комментарий от alozovskoy

Мощности этих нетбуков не хватало уже на момент составления ТЗ.

Shaman007 ★★★★★ ()
Ответ на: комментарий от Enthusiast

Потому что у него нет коммерческой поддержки.

Shaman007 ★★★★★ ()
Ответ на: комментарий от curufinwe

Представим, что один из разработчиков решил выпендриться и написал свой код с использованием C++14. На его компьютере с новым «Дебианом» всё работает, а вот при пересборке на одноплатнике с компилятором постарше могут появиться ошибки сборки исходников. Зачем нужны эти трудности, если можно держать одну свежую версию «Дебиана» и проблем не будет?

Enthusiast ()
Ответ на: комментарий от Enthusiast

Не рассказывай сказок. В «промышленности» не используется код, написанный каким-то «выпендривающимся» разработчиком. Инфа соточка.

anonymous ()
Ответ на: комментарий от rjm

недопроцессор Atom N270, который недотягивает даже до стандарта i686.

Проц, конечно, говно, но инструкции i686 там вполне работают.

З.Ы. А вброс хорош!

sT331h0rs3 ★★★★★ ()
Ответ на: комментарий от Enthusiast

Те, кто пишет под одноплатники, тем более промышленные, такой фигней не страдают.

И вообще при чем здесь это, код пишется и компилируется с самого начала только кросскомпилятором, отлаживается на одноплатнике. Какие проблемы? Большинство одноплатников на армах работает, как же под них разрабатывают по-твоему?

curufinwe ★★★ ()
Последнее исправление: curufinwe (всего исправлений: 1)
Ответ на: комментарий от anonymous

Разумеется, можно по пути запретительства: мы сидим на старом компиляторе и новые возможности языка не используем! Сам-то пойдёшь трудиться в такую контору?

Enthusiast ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.